use rust_shared::repository::model::{PoolType, Profile};
use strum::IntoEnumIterator;

pub fn get_available_pools(profile: &Profile) -> Vec<PoolType> {
    let pools: Vec<_> = PoolType::iter()
        .filter(|pool| {
            profile
                .pools
                .get(pool)
                .is_some()
        })
        .collect();

    pools
}
